import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const jsonUrl =
  'https://unpkg.com/world-atlas@2.0.2/countries-50m.json';
const countyDataUrl =
  'https://cdn.freecodecamp.org/testable-projects-fcc/data/choropleth_map/counties.json';

export const useUSA = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    json(countyDataUrl).then((topology) => {
      const { nation, states, counties } = topology.objects;
      console.log(data);
      setData({
        nation: feature(topology, nation),
        states: mesh(topology, states, (a, b) => a !== b),
        counties: feature(topology, counties),
        id: counties.geometries.map(d => d.id)
      });
    });
  }, []);

  return data;
};
